lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cht_apitest_pricing/version'

Gem::Specification.new do |spec|
  spec.name          = 'cht_apitest_pricing'
  spec.version       = ChtApitestPricing::VERSION
  spec.authors       = ['Keith Williams']
  spec.email         = ['kwilliams@cloudhealthtech.com']
  spec.summary       = 'api test gem for pricing service'
  spec.description   = 'formatters, checkers and shortcuts'
  spec.homepage      = ''
  spec.license       = ''
  spec.files =
    `git ls-files -z`.split("\x0").reject do |f|
      f.match(%r{^(test|spec|features)/ })
    end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.add_runtime_dependency 'curlyrest', '~>0.1'
  spec.add_runtime_dependency 'deepsort'
  spec.add_runtime_dependency 'hashdiff'
  spec.add_runtime_dependency 'spaceborne', '~> 0.1'

  spec.add_development_dependency 'byebug', '~> 11.1'
  spec.add_development_dependency 'rake', '~> 12.3.3'
  spec.add_development_dependency 'rest-client', '~> 2.0'
  spec.add_development_dependency 'rspec', '~> 3.10'
  spec.add_development_dependency 'simplecov', '~> 0'

  # don't push this to Rubygems
  spec.metadata['allowed_push_host'] = 'https://usw1.packages.broadcom.com/artifactory/tis-cost-gems-virtual/'
end
